{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Venta'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/user_edit.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}
    <script type="text/javascript">
        $(document).ready(function () {

            $('.brands_check').click(function () {
                var datos = $(this).val();
                var d = datos.split('-');
                if ($(this).is(':checked')) {
                    $.ajax({
                        type: "POST",
                        url: "../agregarMarcas",
                        data: {user: d[1], brand: d[0]},
                        dataType: "JSON",
                        success: function (data) {
                            notify('Marca registrada correctamente!', 'success');
                        },
                        error: function (data) {
                            notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                        }
                    });
                } else {
                    $.ajax({
                        type: "DELETE",
                        url: "../eliminarMarcas",
                        data: {user: d[1], brand: d[0]},
                        dataType: "JSON",
                        success: function (data) {
                            notify('Marca eliminada correctamente!', 'success');
                        },
                        error: function (data) {
                            notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                        }
                    });
                }
            });


            //Selection
            $("#data-table-selection").bootgrid({
                css: {
                    icon: 'zmdi icon',
                    iconColumns: 'zmdi-view-module',
                    iconDown: 'zmdi-expand-more',
                    iconRefresh: 'zmdi-refresh',
                    iconUp: 'zmdi-expand-less'
                },
                templates: {
                    header: "",
                },
                selection: true,
                multiSelect: true,
                rowSelect: true,
                keepSelection: true,
                formatters: {
                    "commands": function (column, row) {
                        return "<button type=\"button\" class=\"btn btn-icon command-edit waves-effect waves-circle\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-edit\"></span></button> " +
                                "<button type=\"button\" class=\"btn btn-icon command-delete waves-effect waves-circle\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-delete\"></span></button>";
                    }
                }
            });

            /*****************************Editar Usuario**********************************/

            $(".eu-f").click(function (e) {
                e.preventDefault();
                //var json = objectifyForm($('#form-u').serializeArray());
                var json = $('#form-u').serializeArray();

                /////////

                if ($("#user_name").val() == "") {
                    notify('Campo Nombre es requerido!', 'warning');
                    $(".fu1Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu1Has").removeClass("has-warning");
                }

                if ($("#user_lastname").val() == "") {
                    notify('Campo Apellido es requerido!', 'warning');
                    $(".fu2Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu2Has").removeClass("has-warning");
                }

                if ($("#cargo").val() == "") {
                    notify('Campo Cargo es requerido!', 'warning');
                    $(".fu3Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu3Has").removeClass("has-warning");
                }

                if ($("#grupo").val() == "") {
                    notify('Campo Grupo es requerido!', 'warning');
                    $(".fu4Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu4Has").removeClass("has-warning");
                }

                if ($("#user_dniciut").val() == "") {
                    notify('Campo DNI es requerido!', 'warning');
                    $(".fu5Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu5Has").removeClass("has-warning");
                }

                if ($("#user_email").val() == "") {
                    notify('Campo Email es requerido!', 'warning');
                    $(".fu6Has").addClass("has-warning");
                    return false;
                } else {
                    $(".fu6Has").removeClass("has-warning");
                }

                $.ajax({
                    type: "PUT",
                    url: "../editar/{{user.user_id}}",
                    data: json,
                    dataType: "JSON",
                    success: function (data) {
                        console.log(data);
                        $("#user_password").val('');
                        notify('Informacion registrada correctamente!', 'success');
                    },
                    error: function (data) {
                        console.log(data);

                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });

            });

            /******************************************************************/
            //Command Buttons
            /*$("#data-table-command").bootgrid({
             selection: true,
             multiSelect: true,
             rowSelect: true,
             keepSelection: true,
             templates: {
             header: "<your header>",    
             } 
             css: {
             icon: 'zmdi icon',
             iconColumns: 'zmdi-view-module',
             iconDown: 'zmdi-expand-more',
             iconRefresh: 'zmdi-refresh',
             iconUp: 'zmdi-expand-less'
             }, 
             formatters: {
             "commands": function(column, row) {
             return "<button type=\"button\" class=\"btn btn-icon command-edit waves-effect waves-circle\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-edit\"></span></button> " + 
             "<button type=\"button\" class=\"btn btn-icon command-delete waves-effect waves-circle\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-file-plus\ > </span></button>";
             }
             } 
             });*/

            $("#user_photo").change(function() {
                var data = new FormData();
                
                $.each($(this)[0].files, function(i, file) {
                    data.append('file-'+i, file);
                });

                var opts = {
                    url: '../photo',
                    data: data,
                    cache: false,
                    contentType: false,
                    processData: false,
                    type: 'POST',
                    success: function(result) {
                        $("#name_photo").val(result.name);
                    }
                };
                if(data.fake) {
                    // Make sure no text encoding stuff is done by xhr
                    opts.xhr = function() { var xhr = jQuery.ajaxSettings.xhr(); xhr.send = xhr.sendAsBinary; return xhr; }
                    opts.contentType = "multipart/form-data; boundary="+data.boundary;
                    opts.data = data.toString();
                }
                jQuery.ajax(opts);           

            });
        });
    </script>

{% endblock %}